Bug 943558 - (CVE-2015-4498) VUL-0: CVE-2015-4498: MozillaFirefox: Add-on notification bypass through data URLs (MFSA 2015-95)
(CVE-2015-4498)
VUL-0: CVE-2015-4498: MozillaFirefox: Add-on notification bypass through data...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Petr Cerny
Security Team bot
https://smash.suse.de/issue/146464/
maint:running:62284:important maint:r...
:
Depends on:
Blocks: 943608
  Show dependency treegraph
 
Reported: 2015-08-28 06:45 UTC by Alexander Bergmann
Modified: 2015-11-23 21:11 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2015-08-28 06:45:34 UTC
Mozilla Foundation Security Advisory 2015-95

Add-on notification bypass through data URLs


Announced    August 27, 2015
Reporter     Bas Venis
Impact       High
Products     Firefox
             Firefox ESR
Fixed in     Firefox 40.0.3
             Firefox ESR 38.2.1

Description

Security researcher Bas Venis reported a mechanism where add-ons could be installed from a different source than user expectations. Normally, when a user enters the URL to an add-on directly in the addressbar, warning prompts are bypassed because it is the result of direct user action. He discovered that a data: URL could be manipulated on a loaded page to simulate this direct user input of the add-on's URL, which would result in a bypassing of the install permission prompt. He also reported that in the absence of the permission prompt, it is possible to cause the actual installation prompt to appear above another site's location by causing a page navigation immediately after triggering add-on installation. This could manipulate a user into falsely believing a trusted site (such as addons.mozilla.org) has initiated the installation. This could lead to users installing an add-on from a malicious source.

References
* Firefox Addon bypass dialog and spoof vulnerability (CVE-2015-4498)



References:
https://www.mozilla.org/en-US/security/advisories/mfsa2015-95/
https://bugzilla.redhat.com/show_bug.cgi?id=1257278
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-4498
http://people.canonical.com/~ubuntu-security/cve/2015/CVE-2015-4498.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-4498
Comment 1 Swamp Workflow Management 2015-08-28 14:37:12 UTC
An update workflow for this issue was started.
This issue was rated as critical.
Please submit fixed packages until 2015-09-01.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/62284
Comment 2 Swamp Workflow Management 2015-08-28 22:00:38 UTC
bugbot adjusting priority
Comment 3 Swamp Workflow Management 2015-09-02 10:10:42 UTC
SUSE-SU-2015:1476-1: An update that fixes 16 vulnerabilities is now available.

Category: security (important)
Bug References: 940806,943557,943558,943608
CVE References: CVE-2015-4473,CVE-2015-4474,CVE-2015-4475,CVE-2015-4478,CVE-2015-4479,CVE-2015-4484,CVE-2015-4485,CVE-2015-4486,CVE-2015-4487,CVE-2015-4488,CVE-2015-4489,CVE-2015-4491,CVE-2015-4492,CVE-2015-4495,CVE-2015-4497,CVE-2015-4498
Sources used:
SUSE Linux Enterprise Software Development Kit 12 (src):    MozillaFirefox-38.2.1esr-45.1, mozilla-nss-3.19.2.0-26.2
SUSE Linux Enterprise Server 12 (src):    MozillaFirefox-38.2.1esr-45.1, MozillaFirefox-branding-SLE-31.0-14.1, mozilla-nss-3.19.2.0-26.2
SUSE Linux Enterprise Desktop 12 (src):    MozillaFirefox-38.2.1esr-45.1, MozillaFirefox-branding-SLE-31.0-14.1, mozilla-nss-3.19.2.0-26.2
Comment 4 Marcus Meissner 2015-09-02 11:19:55 UTC
no reproducer available
Comment 5 Swamp Workflow Management 2015-09-07 12:10:04 UTC
SUSE-SU-2015:1504-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 943557,943558,943608
CVE References: CVE-2015-4497,CVE-2015-4498
Sources used:
SUSE Linux Enterprise Server 11-SP2-LTSS (src):    MozillaFirefox-38.2.1esr-17.1
SUSE Linux Enterprise Server 11-SP1-LTSS (src):    MozillaFirefox-38.2.1esr-17.1
SUSE Linux Enterprise Debuginfo 11-SP2 (src):    MozillaFirefox-38.2.1esr-17.1
SUSE Linux Enterprise Debuginfo 11-SP1 (src):    MozillaFirefox-38.2.1esr-17.1
Comment 6 Marcus Meissner 2015-09-10 15:14:43 UTC
released
Comment 7 Swamp Workflow Management 2015-11-23 21:11:03 UTC
SUSE-SU-2015:2081-1: An update that fixes 43 vulnerabilities is now available.

Category: security (important)
Bug References: 908275,940806,943557,943558,943608,947003,952810
CVE References: CVE-2015-4473,CVE-2015-4474,CVE-2015-4475,CVE-2015-4478,CVE-2015-4479,CVE-2015-4484,CVE-2015-4485,CVE-2015-4486,CVE-2015-4487,CVE-2015-4488,CVE-2015-4489,CVE-2015-4491,CVE-2015-4492,CVE-2015-4497,CVE-2015-4498,CVE-2015-4500,CVE-2015-4501,CVE-2015-4506,CVE-2015-4509,CVE-2015-4511,CVE-2015-4513,CVE-2015-4517,CVE-2015-4519,CVE-2015-4520,CVE-2015-4521,CVE-2015-4522,CVE-2015-7174,CVE-2015-7175,CVE-2015-7176,CVE-2015-7177,CVE-2015-7180,CVE-2015-7181,CVE-2015-7182,CVE-2015-7183,CVE-2015-7188,CVE-2015-7189,CVE-2015-7193,CVE-2015-7194,CVE-2015-7196,CVE-2015-7197,CVE-2015-7198,CVE-2015-7199,CVE-2015-7200
Sources used:
SUSE Linux Enterprise Server 10 SP4 LTSS (src):    MozillaFirefox-38.4.0esr-0.7.1, MozillaFirefox-branding-SLED-38-0.5.3, mozilla-nspr-4.10.10-0.5.1, mozilla-nss-3.19.2.1-0.5.1